org.apache.lucene.codecs.compressing

## Class LZ4WithPresetCompressingCodec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.FilterCodec
    - - org.apache.lucene.codecs.compressing.CompressingCodec
      - - org.apache.lucene.codecs.compressing.LZ4WithPresetCompressingCodec

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

      public class LZ4WithPresetCompressingCodec
      extends CompressingCodec

  CompressionCodec that uses `LZ4WithPresetDictCompressionMode`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.codecs.FilterCodec

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LZ4WithPresetCompressingCodec()` No-arg constructor.
    `LZ4WithPresetCompressingCodec(int chunkSize, int maxDocsPerChunk, boolean withSegmentSuffix, int blockSize)` Constructor that allows to configure the chunk size.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.codecs.compressing.CompressingCodec

      `randomInstance, randomInstance, randomInstance, reasonableInstance, storedFieldsFormat, termVectorsFormat, toString`

    - ### Methods inherited from class org.apache.lucene.codecs.FilterCodec

      `compoundFormat, docValuesFormat, fieldInfosFormat, liveDocsFormat, normsFormat, pointsFormat, postingsFormat, segmentInfoFormat`

    - ### Methods inherited from class org.apache.lucene.codecs.Codec

      `availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LZ4WithPresetCompressingCodec

          public LZ4WithPresetCompressingCodec(int chunkSize,
                                               int maxDocsPerChunk,
                                               boolean withSegmentSuffix,
                                               int blockSize)

      Constructor that allows to configure the chunk size.

    - #### LZ4WithPresetCompressingCodec

          public LZ4WithPresetCompressingCodec()

      No-arg constructor.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.